//
//  GFaAppSettingModel.m
//
//  Copyright (c) 2022 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import "GFaAppSettingModel.h"

#import "GFaCommon.h"

#define UserDefaultsKey    @"GFaAppSettingModel"

static GFaAppSettingModel *sharedGFaAppSettingModel_ = nil;

@interface GFaAppSettingModel ()

@end

@implementation GFaAppSettingModel

/* 初期処理 */
- (id) init
{
    return [super initModel:UserDefaultsKey];
}

/* インスタンス取得 */
+ (GFaAppSettingModel *)defaultModel
{
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        sharedGFaAppSettingModel_ = [[GFaAppSettingModel alloc] init];
    });
    return sharedGFaAppSettingModel_;
}

/* アプリ設定の初期値を取得 */
- (NSDictionary *)defaultInfo
{
    NSDictionary *info = @{
        kAppKeyClientId : GFaAppSettingDefault_ClientId,
        kAppKeySecret : GFaAppSettingDefault_Secret,
        kAppKeyTokenURL: GFaAppSettingDefault_TokenURL,
        kAppKeyApiKey : GFaAppSettingDefault_ApiKey,
        kAppKeySearchAreaURL : GFaAppSettingDefault_SearchAreaURL,
        kAppKeySearchAreaUpdateTimeURL : GFaAppSettingDefault_SearchAreaUpdateTimeURL,
    };
    return info;
}

@end
