//
//  GFaGeoFenceManagerSettingModel.m
//
//  Copyright (c) 2013 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import "GFaGeoFenceManagerSettingModel.h"

#import <libGeoFenceManager/GeoFenceManager.h>
#import "GFaCommon.h"

#define UserDefaultsKey	@"GFaGeoFenceManagerSettingModel"

static GFaGeoFenceManagerSettingModel *sharedGeoFenceManagerSettingModel_ = nil;

@interface GFaGeoFenceManagerSettingModel ()

@end

@implementation GFaGeoFenceManagerSettingModel

/* 初期処理 */
- (id)init
{
    return [super initModel:UserDefaultsKey];
}

/* インスタンス取得 */
+ (GFaGeoFenceManagerSettingModel *)defaultModel
{
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        sharedGeoFenceManagerSettingModel_ = [[GFaGeoFenceManagerSettingModel alloc] init];
    });
    
    return sharedGeoFenceManagerSettingModel_;
}

/* ジオフェンスライブラリ設定の初期値を取得 */
- (NSDictionary *)defaultInfo
{
    NSDictionary *info = @{
        kGeoFenceKeyApiKey : GFaGeoFenceManagerSettingDefault_ApiKey,
        kGeoFenceKeyClientId : GFaGeoFenceManagerSettingDefault_Clientid,
        kGeoFenceKeySecret : GFaGeoFenceManagerSettingDefault_Secret,
        kGeoFenceKeyAuthEnv : @(GFaGeoFenceManagerSettingDefault_AuthEnv),
    };
    
    return info;
}

@end

