//
//  GFaInformationDescriptionViewController.m
//
//  Copyright (c) 2014 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#import "GFaInformationDescriptionViewController.h"

@interface GFaInformationDescriptionViewController ()

@end

@implementation GFaInformationDescriptionViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];

    self.navigationController.navigationBar.topItem.backBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:@"戻る"
                                                                          style:UIBarButtonItemStylePlain
                                                                          target:self
                                                                          action:nil];

    if ( self.descriptionInfo != nil)
    {
        NSLocale *locale = [[NSLocale alloc] initWithLocaleIdentifier:@"US"];
        NSTimeZone *timezone = [NSTimeZone systemTimeZone];
        
        NSDateFormatter *formatter = [[NSDateFormatter alloc] init];
        [formatter setDateFormat:@"yyyyMMddHHmm"];
        [formatter setTimeZone:timezone];
        [formatter setLocale:locale];
        
        //TimeZoneで変換する値のキー
        NSArray *dateValueKey = @[@"vet",@"vst",@"nevd",@"nsvd",];
        
        //TimeZoneで変換
        NSMutableArray *mutableArray = [NSMutableArray array];
        for (NSDictionary *item in self.descriptionInfo)
        {
            NSMutableDictionary *itemDict = [NSMutableDictionary dictionaryWithDictionary:item];
            for (NSString *key in dateValueKey)
            {
                NSDate *value = [itemDict objectForKey:key];
                if (value != nil)
                {
                    NSString *outputDateStr = [formatter stringFromDate:value];
                    [itemDict setValue:outputDateStr forKey:key];
                }
            }
            [mutableArray addObject:itemDict];
        }
        
        //MutableArrayをNSStringに変換
        NSString *str = [NSString stringWithFormat:@"%@",mutableArray];
        
        /* 文字化け回避のためのエンコード失敗を防ぐために、特殊文字に含まれるバックスラッシュを除去 */
        //バックスラッシュ
        str = [str stringByReplacingOccurrencesOfString:@"\\\\" withString:@""];
        //ダブルクォーテーション
        str = [str stringByReplacingOccurrencesOfString:@"\\\"" withString:@"\""];
        //改行
        str = [str stringByReplacingOccurrencesOfString:@"\\n" withString:@"\n"];
        //タブ
        str = [str stringByReplacingOccurrencesOfString:@"\\t" withString:@"\t"];
        
        
        //descriptionによる文字化け回避の対応
        NSString *encodingString = [NSString stringWithCString:[str cStringUsingEncoding:NSUTF8StringEncoding] encoding:NSNonLossyASCIIStringEncoding];
        
        [self.textView setText:encodingString];
        
        //[self.textView setText:[self.descriptionInfo description]];
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
