//
//  GFaCommon.h
//
//  Copyright (c) 2013 ZENRIN DataCom CO., LTD. All Rights Reserved.
//

#ifndef GeoFenceApp_Sample_GFaCommon_h
#define GeoFenceApp_Sample_GFaCommon_h


/** 位置測位・ライブラリ設定画面のデフォルト値を定義 */
// APIキー
#define GFaLocationManagerSettingDefault_ApiKey                         @""
// クライアントID
#define GFaLocationManagerSettingDefault_ClientID                       @""
// 秘密鍵
#define GFaLocationManagerSettingDefault_Secret                         @""
// 認証サーバ環境
#define GFaLocationManagerSettingDefault_AuthEnv                        0
// 測位精度(m)
#define GFaLocationManagerSettingDefault_Accuracy                       0
// 距離(m)
#define GFaLocationManagerSettingDefault_Distance                       0
// バッテリー閾値
#define GFaLocationManagerSettingDefault_BatteryLevInterval             40
// 即位切替精度
#define GFaLocationManagerSettingDefault_SignificantChangeAccuracy      5000
// 省電力モード
#define GFaLocationManagerSettingDefault_LowEnergyMode                  (NO)
// 監視領域半径(小)(m)
#define GFaLocationManagerSettingDefault_MonitoringAreaSmallRadius      300
// 監視領域半径(中)(m)
#define GFaLocationManagerSettingDefault_MonitoringAreaMiddleRadius     1000
// 監視領域半径(大)(m)
#define GFaLocationManagerSettingDefault_MonitoringAreaLargeRadius      2000
// 監視領域半径(特大)(m)
#define GFaLocationManagerSettingDefault_MonitoringAreaOversizeRadius   5000
// 監視移動速度(低)(km/h)
#define GFaLocationManagerSettingDefault_MonitoringSlowSpeed            30
// 監視移動速度(中)(km/h)
#define GFaLocationManagerSettingDefault_MonitoringMiddleSpeed          60
// 監視移動速度(高)(km/h)
#define GFaLocationManagerSettingDefault_MonitoringHighSpeed            100

/** ジオフェンスライブラリ設定画面のデフォルト値を定義 */
// APIキー
#define GFaGeoFenceManagerSettingDefault_ApiKey     @""
// クライアントID
#define GFaGeoFenceManagerSettingDefault_Clientid   @""
// 秘密鍵
#define GFaGeoFenceManagerSettingDefault_Secret     @""
// 認証サーバ環境
#define GFaGeoFenceManagerSettingDefault_AuthEnv    0

/** アプリ設定画面のデフォルト値を定義 */
// クライアントID
#define GFaAppSettingDefault_ClientId                   @""
// 秘密鍵
#define GFaAppSettingDefault_Secret                     @""
// URL
#define GFaAppSettingDefault_TokenURL                   @""
// APIキー
#define GFaAppSettingDefault_ApiKey                     @""
// エリア検索URL
#define GFaAppSettingDefault_SearchAreaURL              @""
// エリア更新日時検索URL
#define GFaAppSettingDefault_SearchAreaUpdateTimeURL    @""


/** エリア情報サーバレスポンス（成功）  */
#define AreaServerResponseReturnCode_Success    0

/** 通知タイミング定数（通知条件）  */
#define GFlResponseKeyNtmg_in   1
#define GFlResponseKeyNtmg_out  2

/* エリア検索APIにおける１通信あたりのエリア最大取得件数 */
#define kSearchAreaLimit    1000

/* 認証サーバ環境メニュータイトル*/
#define kAuthEnvMenuTitlePro    @"顧客本番"
#define kAuthEnvMenuTitleStg    @"顧客検証"
#define kAuthEnvMenuTitleTest   @"内部検証"

#endif
